org.apache.pdfbox.pdmodel.common

## Class PDTypedDictionaryWrapper

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper
  - - org.apache.pdfbox.pdmodel.common.PDTypedDictionaryWrapper

All Implemented Interfaces:
  COSObjectable

    public class PDTypedDictionaryWrapper
    extends PDDictionaryWrapper

A wrapper for a COS dictionary including Type information.

Author:
  Johannes Koch

### Constructor Summary

Constructors
Constructor and Description
`PDTypedDictionaryWrapper(COSDictionary dictionary)` Creates a new instance with a given COS dictionary.
`PDTypedDictionaryWrapper(String type)` Creates a new instance with a given type.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getType()` Gets the type.

### Methods inherited from class org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper

`equals, getCOSObject, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDTypedDictionaryWrapper

    public PDTypedDictionaryWrapper(String type)

Creates a new instance with a given type.

Parameters:
  `type` - the type (Type)

#### PDTypedDictionaryWrapper

    public PDTypedDictionaryWrapper(COSDictionary dictionary)

Creates a new instance with a given COS dictionary.

Parameters:
  `dictionary` - the dictionary

### Method Detail

#### getType

    public String getType()

Gets the type.

Returns:
  the type